Subject: bug#48093: 28.0.50; feature/pgtk: multiple display: clipboard

From: Yuuki Harano <[email-masked]>
Date: Sat, 15 May 2021 01:41:37 +0900 (JST)

On Wed, 28 Apr 2021 20:07:24 -0400,
	Rajeev N <[email-masked]> wrote:
> I use emacsclient with -a '' option to automatically start daemon if needed.  I use emacsclient command from terminal, wayland display, and X display (vnc) on the same machine,  I have noticed that the clipboard does not work as expected and I am forced to use xclip, wl-copy, wl-paste commands to workaround the bug.
> 
> Everything works as expected on the master branch.

I think that gtk's selection handling code has a bug, and
I have disabled clipboard on multi display environment.

If you want to try clipboard on multi display environment,
then try latest feature/pgtk and do:

----
(setq pgtk-enable-selection-on-multi-display t)
----

But don't expect.  It crashes frequently.
-- 
Yuuki Harano